%define upstream_name    IO-Callback
%define upstream_version 2.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Emulate file interface for a code reference
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Fatal)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Aug 31 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1620280
- update to 2.00

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-7.mga8
+ Revision: 1495097
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-6.mga7
+ Revision: 1268724
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-5.mga6
+ Revision: 1028628
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-4.mga6
+ Revision: 944356
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 744524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-2.mga5
+ Revision: 685049
- Mageia 5 Mass Rebuild

* Mon May 26 2014 sander85 <sander85> 1.120.0-1.mga5
+ Revision: 626786
- update to 1.12

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 512224
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 368438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 295016
- update buildrequires version
- update to 1.10
- imported package perl-IO-Callback

